JmolAdapterAtomIterator
Date: 2019-10-22

org.jmol.api

## Interface JmolAdapterAtomIterator

- All Known Implementing Classes:
    AtomIterator

      public interface JmolAdapterAtomIterator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getAltLoc()`
    `java.lang.String` | `getAtomName()`
    `int` | `getAtomSetIndex()`
    `int` | `getAtomSite()`
    `float` | `getBfactor()`
    `int` | `getChainID()`
    `int` | `getElementNumber()`
    `int` | `getFormalCharge()`
    `java.lang.String` | `getGroup3()`
    `char` | `getInsertionCode()`
    `boolean` | `getIsHetero()`
    `float` | `getOccupancy()`
    `float` | `getPartialCharge()`
    `float` | `getRadius()`
    `int` | `getSeqID()`
    `int` | `getSequenceNumber()`
    `int` | `getSerial()`
    `javajs.util.BS` | `getSymmetry()`
    `javajs.util.Lst<java.lang.Object>` | `getTensors()`
    `java.lang.Object` | `getUniqueID()`
    `javajs.util.V3` | `getVib()`
    `javajs.util.P3` | `getXYZ()`
    `boolean` | `hasNext()`

- - ### Method Detail

    - #### hasNext

          boolean hasNext()

    - #### getAtomSetIndex

          int getAtomSetIndex()

    - #### getSymmetry

          javajs.util.BS getSymmetry()

    - #### getAtomSite

          int getAtomSite()

    - #### getUniqueID

          java.lang.Object getUniqueID()

    - #### getElementNumber

          int getElementNumber()

    - #### getAtomName

          java.lang.String getAtomName()

    - #### getFormalCharge

          int getFormalCharge()

    - #### getPartialCharge

          float getPartialCharge()

    - #### getTensors

          javajs.util.Lst<java.lang.Object> getTensors()

    - #### getRadius

          float getRadius()

    - #### getVib

          javajs.util.V3 getVib()

    - #### getXYZ

          javajs.util.P3 getXYZ()

    - #### getBfactor

          float getBfactor()

    - #### getOccupancy

          float getOccupancy()

    - #### getIsHetero

          boolean getIsHetero()

    - #### getSerial

          int getSerial()

    - #### getChainID

          int getChainID()

    - #### getAltLoc

          char getAltLoc()

    - #### getGroup3

          java.lang.String getGroup3()

    - #### getSequenceNumber

          int getSequenceNumber()

    - #### getInsertionCode

          char getInsertionCode()

    - #### getSeqID

          int getSeqID()